# _SceUtilityMsgDialogParams Struct Reference

`#include <sdk/utility/psputility_msgdialog.h>`

## Detailed Description

Structure to hold the parameters for a message dialog.

## Data Fields

SceSize | size
| Size of the structure.
int | language
| Language for predefined guide texts.
int | buttonSwap
| Set to 1 for X/O button swap (US model).
int | unknown [4]
| ?
int | returnValue
int | unknown2 [7]
char | message [512]
| The message to display (may contain embedded linefeeds).

## Field Documentation

int _SceUtilityMsgDialogParams::buttonSwap

| Set to 1 for X/O button swap (US model).

int _SceUtilityMsgDialogParams::language

| Language for predefined guide texts.

char _SceUtilityMsgDialogParams::message[512]

| The message to display (may contain embedded linefeeds).

int _SceUtilityMsgDialogParams::returnValue

SceSize _SceUtilityMsgDialogParams::size

| Size of the structure.

int _SceUtilityMsgDialogParams::unknown[4]

| ?

int _SceUtilityMsgDialogParams::unknown2[7]

The documentation for this struct was generated from the following file:

- sdk/utility/psputility_msgdialog.h